package com.nantian.cloud.jljc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.UseEngergy;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface UseEngergyMapper extends BaseMapper<UseEngergy> {

    List<UseEngergy> getPage(Page page, @Param("query")UseEngergy useEngergy, DataScope dataScope );

    List<String> getArea(@Param("deptId") String deptId);

    List<UseEngergy> getTotal(@Param("query")UseEngergy useEngergy, @Param("deptId") String deptId);

    List<UseEngergy> getTotalProv(@Param("query") UseEngergy useEngergy, @Param("deptId") String deptId);

    List<String> getUnit();
}
